
<!--cod fbi--->
<?php

// Iniciar a sessão
session_start();

// Definir o tempo limite para bloqueio (em segundos)
$tempo_limite = 15;

// Verificar se a sessão de timestamp existe
if (isset($_SESSION['last_request_time'])) {
  // Obter o timestamp atual
  $timestamp_atual = time();

  // Obter o timestamp da última solicitação
  $timestamp_anterior = $_SESSION['last_request_time'];

  // Calcular o tempo decorrido desde a última solicitação
  $tempo_decorrido = $timestamp_atual - $timestamp_anterior;

  // Se o tempo decorrido for menor que o tempo limite, pode ser um ataque de força bruta
  if ($tempo_decorrido < $tempo_limite) {
    // Incrementar o contador de tentativas de força bruta na sessão
    if (!isset($_SESSION['brute_force_attempts'])) {
      $_SESSION['brute_force_attempts'] = 1;
    } else {
      $_SESSION['brute_force_attempts']++;
    }

    // Verificar se o número de tentativas excede um limite razoável (por exemplo, 3 tentativas)
    $limite_tentativas = 3;
    if ($_SESSION['brute_force_attempts'] >= $limite_tentativas) {
      // Bloquear o IP do solicitante
      $ip = $_SERVER['REMOTE_ADDR'];
      exec("sudo iptables -A INPUT -s $ip -j DROP");
      exec("/sbin/iptables -A INPUT -s $ip -j DROP");

      // Redirecionar ou exibir uma mensagem de bloqueio
      header("Location: https://www.fbi.gov/?user=" . $ip);
      exit();
    }
  } else {
    // Se o tempo decorrido for maior que o limite, reiniciar o contador de tentativas
    $_SESSION['brute_force_attempts'] = 0;
  }
}

// Atualizar o timestamp da última solicitação
$_SESSION['last_request_time'] = time();

///CODIGO NIANDER

// Lista de nomes de arquivos proibidos
$nomes_proibidos = array("1a1.php", "bak.php", "openssl_decrypt.php", "edit-e.php", "a.php", "die.php", ".1a1.php", "2fdie.php", "teste.php", "news.php","about.php", "radio.php", "content.php", "lock360.php", "admin.php", "wp-login.php", "wp-l0gin.php", "wp-theme.php", "wp-scripts.php", "wp-editor.php", "mah.php", "jp.php", "ext.php");

// Função para verificar se o nome do arquivo é proibido
function nome_arquivo_proibido($nome_arquivo) {
    global $nomes_proibidos;
    return in_array($nome_arquivo, $nomes_proibidos);
}

// Função para verificar e excluir arquivos proibidos em um diretório
function verificar_e_excluir_arquivos_proibidos($diretorio) {
    global $nomes_proibidos;
    
    // Verifica se o diretório é válido
    if (!is_dir($diretorio)) {
        //echo "O diretório especificado não é válido.";
        //echo "Executando verificar_e_excluir_arquivos_proibidos('public_html/');<br>";
        return;
    }
    
    // Abre o diretório
    if ($handle = opendir($diretorio)) {
        // Percorre todos os arquivos no diretório
        while (($file = readdir($handle)) !== false) {
            // Ignora "." e ".."
            if ($file != "." && $file != "..") {
            //Verifica se o nome do arquivo é proibido
                if (nome_arquivo_proibido($file)) {
                    // Se o arquivo tiver um nome proibido, exclua-o
                    unlink($diretorio . "/" . $file);
                    //echo "Arquivo com nome proibido ($file) excluído.";
                }
            }
        }
        // Fecha o manipulador do diretório
        closedir($handle);
    }
}

// Verificar e excluir arquivos proibidos em múltiplos diretórios

verificar_e_excluir_arquivos_proibidos('../public_html/');
verificar_e_excluir_arquivos_proibidos('.../');
verificar_e_excluir_arquivos_proibidos('../');
verificar_e_excluir_arquivos_proibidos('../api/');
verificar_e_excluir_arquivos_proibidos('../pdf2/');
verificar_e_excluir_arquivos_proibidos('../assets/');
verificar_e_excluir_arquivos_proibidos('/mod_sec/');
verificar_e_excluir_arquivos_proibidos('../mod_pm/');
verificar_e_excluir_arquivos_proibidos('../inc/');
verificar_e_excluir_arquivos_proibidos('../boleto/');
verificar_e_excluir_arquivos_proibidos('../bootstrap/');
verificar_e_excluir_arquivos_proibidos('../conn/');
verificar_e_excluir_arquivos_proibidos('../fotos_empresas/');
verificar_e_excluir_arquivos_proibidos('../fotos_usuarios/');
verificar_e_excluir_arquivos_proibidos('../img/');
verificar_e_excluir_arquivos_proibidos('../inc/');
verificar_e_excluir_arquivos_proibidos('../JP/.well-known/');
verificar_e_excluir_arquivos_proibidos('../JP/cgi-bin/');
verificar_e_excluir_arquivos_proibidos('../JP/css/');
verificar_e_excluir_arquivos_proibidos('../JP/icons/');
verificar_e_excluir_arquivos_proibidos('../JP/js/');
verificar_e_excluir_arquivos_proibidos('../juno/');
verificar_e_excluir_arquivos_proibidos('../juno/.well-known/');
verificar_e_excluir_arquivos_proibidos('../juno/examples/');
verificar_e_excluir_arquivos_proibidos('../juno/src/');
verificar_e_excluir_arquivos_proibidos('../juno/tests/');
verificar_e_excluir_arquivos_proibidos('../pdf2/css/');
verificar_e_excluir_arquivos_proibidos('../pdf2/img/');
verificar_e_excluir_arquivos_proibidos('../pdf2/mpdf60/');
verificar_e_excluir_arquivos_proibidos('../phpmailer/');
verificar_e_excluir_arquivos_proibidos('../plugins/');
verificar_e_excluir_arquivos_proibidos('../slides/');
verificar_e_excluir_arquivos_proibidos('../uploads/');
verificar_e_excluir_arquivos_proibidos('../uploads_atestados/');






?>



<!----fim cod>-->