<?php
ob_start();
@session_start();

ini_set('max_execution_time', '500'); //300 seconds = 5 minutes
ini_set('memory_limit', '1044M');

include("mpdf60/mpdf.php");

require '../conn/conn.php';

// Verificar se os valores da sessão estão definidos
if (!isset($_SESSION['email_liberado']) || !isset($_SESSION['senha_liberado'])) {
  header("Location: login.php?resp=Área Segura. <b>Faça o login para continuar</b>!");
  exit(); // Sempre saia após redirecionar
}

// Escapar valores da sessão, se estiverem definidos
$email = isset($_SESSION['email_liberado']) ? mysqli_real_escape_string($conn, $_SESSION['email_liberado']) : null;
$senha = isset($_SESSION['senha_liberado']) ? mysqli_real_escape_string($conn, $_SESSION['senha_liberado']) : null;

// Redirecionar para a página de login se os valores da sessão não estiverem definidos
if (!$email || !$senha) {
  header("Location: login.php?resp=Área Segura. <b>Faça o login para continuar</b>!");
  exit(); // Sempre saia após redirecionar
}

$data_i = addslashes($_GET['data_i']);
$data_f = addslashes($_GET['data_f']);

$chave_data = false;

$cont_row = 1;

$arquivo = 'RELATORIO_COLABORADOR.xls';
// Criamos uma tabela HTML com o formato da planilha

function isWeekend($date)
{
  $weekDay = date('w', strtotime($date));
  return ($weekDay == 0 || $weekDay == 6);
}


function AddPlayTime($times)
{
  $minutes = 0;
  foreach ($times as $time) {
    list($hour, $minute) = explode(':', $time);
    $minutes += $hour * 60;
    $minutes += $minute;
  }

  $hours = floor($minutes / 60);
  $minutes -= $hours * 60;

  return sprintf('%02d:%02d', $hours, $minutes);
}

$colaborador = $_GET['colaborador'];
$turnos_horas_array = array();
$horas_faltas_array = array();
$horas_extras_array = array();

$horas_feitas_reais_array = array();

$HORA_ESPECIFICO_DIA_FEITO = array();


//pegando dados do colaborador
$sql_c = "SELECT * FROM `users` WHERE id = '$colaborador'";
$e_c = mysqli_query($conn, $sql_c);
while ($lc = mysqli_fetch_array($e_c)) {
  $nome_colaborador = mysqli_real_escape_string($conn, $lc['username']);
  $feriado = mysqli_real_escape_string($conn, $lc['feriado']);
  $id_p_user = mysqli_real_escape_string($conn, $lc['id_p']);
  $fim_semana = mysqli_real_escape_string($conn, $lc['fim_semana']);
  $ch_semanal = mysqli_real_escape_string($conn, $lc['ch_semanal']);
  $id_vinculo = mysqli_real_escape_string($conn, $lc['id_vinculo']);
  $dom = mysqli_real_escape_string($conn, $lc['dom']);
  $seg = mysqli_real_escape_string($conn, $lc['seg']);
  $ter = mysqli_real_escape_string($conn, $lc['ter']);
  $qua = mysqli_real_escape_string($conn, $lc['qua']);
  $qui = mysqli_real_escape_string($conn, $lc['qui']);
  $sex = mysqli_real_escape_string($conn, $lc['sex']);
  $sab = mysqli_real_escape_string($conn, $lc['sab']);
  $horas_turno_geral = mysqli_real_escape_string($conn, $lc['horas_turno_geral']);
  $horas_turno_manha = mysqli_real_escape_string($conn, $lc['horas_turno_manha']);
  $horas_turno_tarde = mysqli_real_escape_string($conn, $lc['horas_turno_tarde']);
  $horas_turno_noite = mysqli_real_escape_string($conn, $lc['horas_turno_noite']);
}

//busca dados do ponto eletronico
$nome_ponto_user = mysqli_fetch_array(mysqli_query($conn, "SELECT * FROM `pontos_eletronicos` WHERE id_p = '$id_p_user'"))['nome'];

$html .= '<h2><img src="logo_reriu.png"></h2>';
$html .= '<h2>' . $nome_ponto_user . '</h2><p>&nbsp;</p>';
$html .= '<h4>Relatório de Ponto do Funcionário</h4>';

$html .= '<div align="left">Funcionário: ' . $colaborador . ' - ' . $nome_colaborador . '<br>
Período: ' . date('d/m/Y', strtotime($data_i)) . ' à ' . date('d/m/Y', strtotime($data_f)) . '<br>
Carga Horária: 1 - Carga Horária Normal Hora Semanal: ' . $ch_semanal . ' Tolerância: Tolerância 05 min. Feriado: ' . $feriado . '<br><hr></div>';

$html .= '<table>';
$html .= '<tr>';
$html .= '<td><b>Data</b></td>';
$html .= '<td><b>Dia/Turno</b></td>';
$html .= '<td><b>Hr. Entrada</b></td>';
$html .= '<td><b>Dt. Saída</b></td>';
$html .= '<td><b>Hr. Saída</b></td>';
$html .= '<td><b>Hr. Trabalho</b></td>';
$html .= '<td><b>Hr. Faltas</b></td>';
$html .= '<td><b>Hr. Extras</b></td>';
$html .= '</tr>';




//taca horas por turrno 
$turnos_horas_array[] = $horas_turno_manha;
$turnos_horas_array[] = $horas_turno_tarde;
$turnos_horas_array[] = $horas_turno_noite;

$horas_trabalhadas_turno = $horas_turno_geral;
$hora_a_fazer_dia = AddPlayTime($turnos_horas_array);




$data_i_quebrada = explode('-', $data_i);

$data_f_quebrada = explode('-', $data_f);

$horas_trabalhado_total = array();

$horas_descontar_atestado = array();
$horas_descontar_ferias = array();
$horas_descontar_feriados = array();


$dias_faltados = 0;

function AddDia($dateme)
{
  $data_alt = date('Y-m-d', strtotime("+1 days", strtotime($dateme)));
  return $data_alt;
}

$diasemana = array(
  'Sun' => 'domingo',
  'Mon' => 'segunda-feira',
  'Tue' => 'terça-feira',
  'Wed' => 'quarta-feira',
  'Thu' => 'quinta-feira',
  'Fri' => 'sexta-feira',
  'Sat' => 'sábado'
);

//echo '<h1>' . $data_i_quebrada[1] . '</h1>';
//echo '<h1>' . $data_f_quebrada[1] . '</h1>';

//mesmo mes
//if ($data_i_quebrada[1] == $data_f_quebrada[1]) {

$qtd_dias_mes = cal_days_in_month(CAL_GREGORIAN, $data_i_quebrada[1], $data_i_quebrada[0]);

//echo '<h1>' . $qtd_dias_mes . ' dias</h1>';
$i = 0;
//$data_ref = $data_i_quebrada[2] . '-' . $data_i_quebrada[1] . '-' . $i;
$data_ref = $data_i;
while (strtotime($data_ref) <= strtotime($data_f)) {

  reset($HORA_ESPECIFICO_DIA_FEITO);
  $HORA_ESPECIFICO_DIA_FEITO = array_diff($HORA_ESPECIFICO_DIA_FEITO, $HORA_ESPECIFICO_DIA_FEITO);

  if ($cont_row % 2 == 0) {
    $estilo_linha = ' id="linha_tb_2" ';
  } else {
    $estilo_linha = '';
  }

  $diasemana_numero = date('D', strtotime($data_ref));

  //VERIFICA FERIADOS 
  $dia_feriado = mysqli_fetch_array(mysqli_query($conn, "SELECT * FROM `feriados` WHERE data_feriado = '$data_ref'"))['feriado'];
  //echo '<h1>' . $diasemana_numero . ' ---> ' . $diasemana[$diasemana_numero] . '</h1>';

  //ATESTADOS
  $dia_ATESTADO = '';
  $qtd_ATESTADO = mysqli_num_rows((mysqli_query($conn, "SELECT * FROM atestados WHERE id = '$colaborador' AND '$data_ref' >= data_i AND '$data_ref' <= data_f")));

  if ($qtd_ATESTADO > 0) {
    $dia_ATESTADO  = 'ATESTADO';
    $horas_descontar_atestado[] = $hora_a_fazer_dia;
  } else {
    $dia_ATESTADO  = '';
  }

  $qtd_ATESTADO = 0;


  //FERIAS
  $dia_FERIAS = '';
  $qtd_FERIAS = mysqli_num_rows((mysqli_query($conn, "SELECT * FROM ferias WHERE id = '$colaborador' AND '$data_ref' >= data_i AND '$data_ref' <= data_f")));

  if ($qtd_FERIAS > 0) {
    $dia_FERIAS  = 'FÉRIAS';
    $horas_descontar_ferias = $hora_a_fazer_dia;
  } else {
    $dia_FERIAS  = '';
  }

  $qtd_FERIAS = 0;


  //echo '<h1>' . $data_ref . ' --> ' . $dia_feriado . '</h1>';
  //echo $data_ref . '<br>';
  $sql = "SELECT * FROM users_logs WHERE id_user = '$colaborador' AND checkindate = '$data_ref'";
  //echo $sql . '<br>';
  $e = mysqli_query($conn, $sql);
  $qtd_reg_pt = mysqli_num_rows($e);

  $data_ref_BR = $data_ref;
  $data_ref_BR = date('d/m/Y', strtotime($data_ref_BR));

  if (($qtd_reg_pt > 0)) {
    while ($l = mysqli_fetch_array($e)) {
      $id_reg = mysqli_real_escape_string($conn, $l['id']);
      $id_user = mysqli_real_escape_string($conn, $l['id_user']);
      $username = mysqli_real_escape_string($conn, $l['username']);
      $serialnumber = mysqli_real_escape_string($conn, $l['serialnumber']);
      $fingerprint_id = mysqli_real_escape_string($conn, $l['fingerprint_id']);
      $checkindate = mysqli_real_escape_string($conn, $l['checkindate']);
      $timein = mysqli_real_escape_string($conn, $l['timein']);
      $timeout = mysqli_real_escape_string($conn, $l['timeout']);

      if (((strtotime($timein)) >= (strtotime('00:00:00'))) && ((strtotime($timein)) <= (strtotime('12:00:00')))) {
        $turno = 'Manhã';
      } elseif (((strtotime($timein)) > (strtotime('12:00:00'))) && ((strtotime($timein)) <= (strtotime('18:00:00')))) {
        $turno = 'Tarde';
      } elseif (((strtotime($timein)) > (strtotime('18:00:00'))) && ((strtotime($timein)) <= (strtotime('23:59:59')))) {
        $turno = 'Noite';
      }

      $horas_trabalhadas_turno = gmdate('H:i:s', strtotime($timeout) - strtotime($timein));

      if ((strtotime($horas_trabalhadas_turno)) >= (strtotime($horas_turno_geral))) {
        $hora_extra = gmdate('H:i:s', strtotime($horas_trabalhadas_turno) - strtotime($horas_turno_geral));
        $hora_falta = '00:00:00';
      } else {
        $hora_falta = gmdate('H:i:s', strtotime($horas_turno_geral) - strtotime($horas_trabalhadas_turno));
        $hora_extra = '00:00:00';
      }

      $horas_feitas_reais_array[] = $horas_trabalhadas_turno;

      $horas_extras_array[] = $hora_extra;

      $html .= '<tr ' . $estilo_linha . '> ';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '/' . $turno . '</td>';
      $html .= '<td>' . strtoupper($timein) . '</td>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . strtoupper($timeout) . '</td>';
      $html .= '<td>' . $horas_turno_geral . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_extra . '</td>';
      $html .= '</tr>';

      //$horas_trabalhado_total[] = "$horas_turno_geral";

      $HORA_ESPECIFICO_DIA_FEITO[] = $horas_turno_geral;

      $horas_trabalhadas_turno = 0;
      $hora_falta = 0;
      $hora_extra = 0;
      $timein = 0;
      $timeout = 0;
      $i++;
    }
  }

  //if (((strtotime($data_ref)) >= (strtotime($data_i))) && ((strtotime($data_ref)) <= (strtotime($data_f)))) {
  if ($qtd_reg_pt == 0) {
    if (($diasemana[$diasemana_numero] == 'sábado') && ($sab != 'x')) {
      $html .= '<tr ' . $estilo_linha . '>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '</td>';
      $html .= '<td>..........</td>';
      $html .= '<td>..........</td>';
      $html .= '<td>..........</td>';
      $html .= '<td>00:00:00</td>';
      $html .= '<td>00:00:00</td>';
      $html .= '<td>00:00:00</td>';
      $html .= '</tr>';
    } else if (($diasemana[$diasemana_numero] == 'domingo') && ($dom != 'x')) {
      $html .= '<tr ' . $estilo_linha . '>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '</td>';
      $html .= '<td>..........</td>';
      $html .= '<td>..........</td>';
      $html .= '<td>..........</td>';
      $html .= '<td>00:00:00</td>';
      $html .= '<td>00:00:00</td>';
      $html .= '<td>00:00:00</td>';
      $html .= '</tr>';
    } else if (($diasemana[$diasemana_numero] == 'sábado') && ($sab == 'x')) {

      $horas_trabalhadas_turno = '00:00:00';

      $hora_falta = $hora_a_fazer_dia;
      $horas_faltas_array[] = $hora_falta;
      $hora_extra = '00:00:00';

      $horas_extras_array[] = $hora_extra;

      $html .= '<tr ' . $estilo_linha . '>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '</td>';
      $html .= '<td><mark style="background:orange;">FALTA FDS</mark></td>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td><mark style="background:orange;">FALTA FDS</mark></td>';
      $html .= '<td>' . $hora_a_fazer_dia . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_extra . '</td>';
      $html .= '</tr>';
    } else if (($diasemana[$diasemana_numero] == 'domingo') && ($dom == 'x')) {

      $horas_trabalhadas_turno = '00:00:00';

      $hora_falta = $hora_a_fazer_dia;
      $horas_faltas_array[] = $hora_falta;
      $hora_extra = '00:00:00';

      $horas_extras_array[] = $hora_extra;

      $html .= '<tr ' . $estilo_linha . '>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '</td>';
      $html .= '<td><mark style="background:orange;">FALTA FDS</mark></td>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td><mark style="background:orange;">FALTA FDS</mark></td>';
      $html .= '<td>' . $hora_a_fazer_dia . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_extra . '</td>';
      $html .= '</tr>';
    } else if ((($diasemana[$diasemana_numero] == 'segunda-feira') && (($seg != 'x')))) {
      //nao trabalha seg 
      $horas_trabalhadas_turno = '00:00:00';
      $hora_falta = '00:00:00';
      //$horas_faltas_array[] = $hora_falta;
      $hora_extra = '00:00:00';
      //$horas_extras_array[] = $hora_extra;
      if ($timein == '') {
        $timein = '<span style="color:#ff9219;">Não Trabalha </span>';
      }
      if ($timeout == '') {
        $timeout = '<span style="color:#ff9219;">Não Trabalha</span>';
      }
      //$horas_trabalhado_total[] = "$hora_a_fazer_dia";
      $html .= '<tr ' . $estilo_linha . '>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '/' . $turno . '</td>';
      $html .= '<td>' . strtoupper($timein) . '</td>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . strtoupper($timeout) . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_extra . '</td>';
      $html .= '</tr>';
    } else if ((($diasemana[$diasemana_numero] == 'terça-feira') && (($ter != 'x')))) {
      //nao trabalha seg 
      $horas_trabalhadas_turno = '00:00:00';
      $hora_falta = '00:00:00';
      //$horas_faltas_array[] = $hora_falta;
      $hora_extra = '00:00:00';
      //$horas_extras_array[] = $hora_extra;
      if ($timein == '') {
        $timein = '<mark style="background:gray;">NAO TRABALHA </mark>';
      }
      if ($timeout == '') {
        $timeout = '<mark style="background:gray;">NAO TRABALHA</mark>';
      }
      //$horas_trabalhado_total[] = "$hora_a_fazer_dia";
      $html .= '<tr ' . $estilo_linha . '>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '/' . $turno . '</td>';
      $html .= '<td>' . strtoupper($timein) . '</td>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . strtoupper($timeout) . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_extra . '</td>';
      $html .= '</tr>';
    } else if ((($diasemana[$diasemana_numero] == 'quarta-feira') && (($qua != 'x')))) {
      //nao trabalha seg 
      $horas_trabalhadas_turno = '00:00:00';
      $hora_falta = '00:00:00';
      //$horas_faltas_array[] = $hora_falta;
      $hora_extra = '00:00:00';
      //$horas_extras_array[] = $hora_extra;
      if ($timein == '') {
        $timein = '<mark style="background:gray;">NAO TRABALHA </mark>';
      }
      if ($timeout == '') {
        $timeout = '<mark style="background:gray;">NAO TRABALHA</mark>';
      }
      //$horas_trabalhado_total[] = "$hora_a_fazer_dia";
      $html .= '<tr ' . $estilo_linha . '>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '/' . $turno . '</td>';
      $html .= '<td>' . strtoupper($timein) . '</td>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . strtoupper($timeout) . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_extra . '</td>';
      $html .= '</tr>';
    } else if ((($diasemana[$diasemana_numero] == 'quinta-feira') && (($qui != 'x')))) {
      //nao trabalha seg 
      $horas_trabalhadas_turno = '00:00:00';
      $hora_falta = '00:00:00';
      //$horas_faltas_array[] = $hora_falta;
      $hora_extra = '00:00:00';
      //$horas_extras_array[] = $hora_extra;
      if ($timein == '') {
        $timein = '<mark style="background:gray;">NAO TRABALHA </mark>';
      }
      if ($timeout == '') {
        $timeout = '<mark style="background:gray;">NAO TRABALHA</mark>';
      }
      //$horas_trabalhado_total[] = "$hora_a_fazer_dia";
      $html .= '<tr ' . $estilo_linha . '>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '/' . $turno . '</td>';
      $html .= '<td>' . strtoupper($timein) . '</td>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . strtoupper($timeout) . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_extra . '</td>';
      $html .= '</tr>';
    } else if ((($diasemana[$diasemana_numero] == 'sexta-feira') && (($sex != 'x')))) {
      //nao trabalha seg 
      $horas_trabalhadas_turno = '00:00:00';
      $hora_falta = '00:00:00';
      //$horas_faltas_array[] = $hora_falta;
      $hora_extra = '00:00:00';
      //$horas_extras_array[] = $hora_extra;
      if ($timein == '') {
        $timein = '<mark style="background:gray;">NAO TRABALHA </mark>';
      }
      if ($timeout == '') {
        $timeout = '<mark style="background:gray;">NAO TRABALHA</mark>';
      }
      //$horas_trabalhado_total[] = "$hora_a_fazer_dia";
      $html .= '<tr ' . $estilo_linha . '>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '/' . $turno . '</td>';
      $html .= '<td>' . strtoupper($timein) . '</td>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . strtoupper($timeout) . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_falta . '</td>';
      $html .= '<td>' . $hora_extra . '</td>';
      $html .= '</tr>';
    } else {

      if ($dia_feriado != '') {
        //feriado
        $horas_descontar_feriados[] = $hora_a_fazer_dia;
        $horas_trabalhadas_turno = '00:00:00';
        $hora_falta = '00:00:00';
        //$horas_faltas_array[] = $hora_falta;
        $hora_extra = '00:00:00';
        //$horas_extras_array[] = $hora_extra;
        if ($timein == '') {
          $timein = '<span style="color:#5465ff;">' . $dia_feriado . '</span>';
        }
        if ($timeout == '') {
          $timeout = '<span style="color:#5465ff;">' . $dia_feriado . '</span>';
        }
        //$horas_trabalhado_total[] = "$hora_a_fazer_dia";
        $html .= '<tr ' . $estilo_linha . '>';
        $html .= '<td>' . $data_ref_BR . '</td>';
        $html .= '<td>' . $diasemana[$diasemana_numero] . '/' . $turno . '</td>';
        $html .= '<td>' . strtoupper($timein) . '</td>';
        $html .= '<td>' . $data_ref_BR . '</td>';
        $html .= '<td>' . strtoupper($timeout) . '</td>';
        $html .= '<td>' . $hora_falta . '</td>';
        $html .= '<td>' . $hora_falta . '</td>';
        $html .= '<td>' . $hora_extra . '</td>';
        $html .= '</tr>';
      } else if ($dia_ATESTADO != '') {
        //feriado
        $horas_trabalhadas_turno = '00:00:00';
        $hora_falta = '00:00:00';
        //$horas_faltas_array[] = $hora_falta;
        $hora_extra = '00:00:00';
        //$horas_extras_array[] = $hora_extra;
        if ($timein == '') {
          $timein = '<span style="color:#52a341;">' . $dia_ATESTADO . '</span>';
        }
        if ($timeout == '') {
          $timeout = '<span style="color:#52a341;">' . $dia_ATESTADO . '</span>';
        }
        //$horas_trabalhado_total[] = "$hora_a_fazer_dia";
        $html .= '<tr ' . $estilo_linha . '>';
        $html .= '<td>' . $data_ref_BR . '</td>';
        $html .= '<td>' . $diasemana[$diasemana_numero] . '/' . $turno . '</td>';
        $html .= '<td>' . strtoupper($timein) . '</td>';
        $html .= '<td>' . $data_ref_BR . '</td>';
        $html .= '<td>' . strtoupper($timeout) . '</td>';
        $html .= '<td>' . $hora_falta . '</td>';
        $html .= '<td>' . $hora_falta . '</td>';
        $html .= '<td>' . $hora_extra . '</td>';
        $html .= '</tr>';
      } else if ($dia_FERIAS != '') {
        //feriado
        $horas_trabalhadas_turno = '00:00:00';
        $hora_falta = '00:00:00';
        //$horas_faltas_array[] = $hora_falta;
        $hora_extra = '00:00:00';
        //$horas_extras_array[] = $hora_extra;
        if ($timein == '') {
          $timein = '<span style="color:#52a341;padding:0.5rem;border:1px solid #52a341; border-radius:50px;"> ' . $dia_FERIAS . ' </span>';
        }
        if ($timeout == '') {
          $timeout = '<span style="color:#52a341;padding:0.5rem;border:1px solid #52a341; border-radius:50px;">' . $dia_FERIAS . '</span>';
        }
        //$horas_trabalhado_total[] = "$hora_a_fazer_dia";
        $html .= '<tr ' . $estilo_linha . '>';
        $html .= '<td>' . $data_ref_BR . '</td>';
        $html .= '<td>' . $diasemana[$diasemana_numero] . '/' . $turno . '</td>';
        $html .= '<td>' . strtoupper($timein) . '</td>';
        $html .= '<td>' . $data_ref_BR . '</td>';
        $html .= '<td>' . strtoupper($timeout) . '</td>';
        $html .= '<td>' . $hora_falta . '</td>';
        $html .= '<td>' . $hora_falta . '</td>';
        $html .= '<td>' . $hora_extra . '</td>';
        $html .= '</tr>';
      } else {

        //era pra ta presente e faltoueee
        $horas_trabalhadas_turno = '00:00:00';
        $hora_falta = $hora_a_fazer_dia;
        $horas_faltas_array[] = $hora_falta;
        $hora_extra = '00:00:00';
        $horas_extras_array[] = $hora_extra;
        if ($timein == '') {
          $timein = '<span style="color:#ff1b1b;padding:0.5rem;border:1px solid #ff1b1b; border-radius:50px;"> Falta </span>';
        }
        if ($timeout == '') {
          $timeout = '<span style="color:#ff1b1b;padding:0.5rem;border:1px solid #ff1b1b; border-radius:50px;"> Falta </span>';
        }

        $dias_faltados = ($dias_faltados + 1);


        //$horas_trabalhado_total[] = "$hora_a_fazer_dia";

        $html .= '<tr ' . $estilo_linha . '>';
        $html .= '<td>' . $data_ref_BR . '</td>';
        $html .= '<td>' . $diasemana[$diasemana_numero] . '</td>';
        $html .= '<td>' . strtoupper($timein) . '</td>';
        $html .= '<td>' . $data_ref_BR . '</td>';
        $html .= '<td>' . strtoupper($timeout) . '</td>';
        $html .= '<td>' . $hora_a_fazer_dia . '</td>';
        $html .= '<td>' . $hora_falta . '</td>';
        $html .= '<td>' . $hora_extra . '</td>';
        $html .= '</tr>';
      }
    }
  }
  // }

  //verifica se trabalha dia  
  //$diasemana = array('domingo', 'segunda-feira', 'terça-feira', 'quarta-feira', 'quinta-feira', 'sexta-feira', 'sábado');

  if (($diasemana[$diasemana_numero] == 'domingo') && ($dom == 'x')) {
    if (($dia_feriado == '') && ($dia_FERIAS == '')) {
      $horas_trabalhado_total[] = $hora_a_fazer_dia;
    }
  }

  if (($diasemana[$diasemana_numero] == 'segunda-feira') && ($seg == 'x')) {
    if (($dia_feriado == '') && ($dia_FERIAS == '')) {
      $horas_trabalhado_total[] = $hora_a_fazer_dia;
    }
  }

  if (($diasemana[$diasemana_numero] == 'terça-feira') && ($ter == 'x')) {
    if (($dia_feriado == '') && ($dia_FERIAS == '')) {
      $horas_trabalhado_total[] = $hora_a_fazer_dia;
    }
  }

  if (($diasemana[$diasemana_numero] == 'quarta-feira') && ($qua == 'x')) {
    if (($dia_feriado == '') && ($dia_FERIAS == '')) {
      $horas_trabalhado_total[] = $hora_a_fazer_dia;
    }
  }

  if (($diasemana[$diasemana_numero] == 'quinta-feira') && ($qui == 'x')) {
    if (($dia_feriado == '') && ($dia_FERIAS == '')) {
      $horas_trabalhado_total[] = $hora_a_fazer_dia;
    }
  }

  if (($diasemana[$diasemana_numero] == 'sexta-feira') && ($sex == 'x')) {
    if (($dia_feriado == '') && ($dia_FERIAS == '')) {
      $horas_trabalhado_total[] = $hora_a_fazer_dia;
    }
  }

  if (($diasemana[$diasemana_numero] == 'sábado') && ($sab == 'x')) {
    if (($dia_feriado == '') && ($dia_FERIAS == '')) {
      $horas_trabalhado_total[] = $hora_a_fazer_dia;
    }
  }

  //zerando  feriados, atestados etc....
  $dia_feriado = '';
  $dia_ATESTADO = '';
  $dia_FERIAS = '';

  $data_ref = AddDia($data_ref);
  //incrementa dia 
  if ($qtd_reg_pt != 0) {
    $HORA_ESPECIFICO_DIA_FEITO_SOMA = AddPlayTime($HORA_ESPECIFICO_DIA_FEITO);
    if (strtotime($HORA_ESPECIFICO_DIA_FEITO_SOMA) < strtotime($hora_a_fazer_dia)) {


      $hora_falta2 = date('H:i:s', ((strtotime($hora_a_fazer_dia) - strtotime($HORA_ESPECIFICO_DIA_FEITO_SOMA))));

      $horas_faltas_array[] = $hora_falta2;

      $html .= '<tr style="background:#ffd3d5;color:#000;border:1pz solid #ff767c;">';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>' . $diasemana[$diasemana_numero] . '/PENDENTE</td>';
      $html .= '<td>....</td>';
      $html .= '<td>' . $data_ref_BR . '</td>';
      $html .= '<td>....</td>';
      $html .= '<td>....</td>';
      $html .= '<td>' . $hora_falta2 . '</td>';
      $html .= '<td>' . $hora_extra . '</td>';
      $html .= '</tr>';
      //$HORA_ESPECIFICO_DIA_FEITO = '00:00:00';
      reset($HORA_ESPECIFICO_DIA_FEITO);
      $HORA_ESPECIFICO_DIA_FEITO = array_diff($HORA_ESPECIFICO_DIA_FEITO, $HORA_ESPECIFICO_DIA_FEITO);
      $HORA_ESPECIFICO_DIA_FEITO_SOMA = 0;
      $hora_falta2 = 0;
    }
  }


  $turno = '';
  $timein = '';
  $timeout = '';
  $dia_feriado = '';
  $cont_row++;
  //echo 'aqui ->' . $data_ref;
} //while


$html .= '<tr>';
$html .= '<td><b>Total</b></td>';
$html .= '<td></td>';
$html .= '<td></td>';
$html .= '<td></td>';
$html .= '<td></td>';
$html .= '<td><b>' . AddPlayTime($horas_trabalhado_total) . '</b></td>';
$html .= '<td><b>' . AddPlayTime($horas_faltas_array) . '</b></td>';
$html .= '<td><b>' . AddPlayTime($horas_extras_array) . '</b></td>';
$html .= '</tr>';


$cem_por_cento = (int) AddPlayTime($horas_trabalhado_total);
if ($cem_por_cento > 0) {
  $valor_percentual_atual = (int) AddPlayTime($horas_feitas_reais_array);

  $percentual_real = (($valor_percentual_atual * 100) / $cem_por_cento);
} else {
  $valor_percentual_atual = 0;
  $percentual_real = 0;
}

//}

//echo '<h1>' . $cem_por_cento . ' - ' . $valor_percentual_atual . '</h1>';
//$horas_deveriam_total = ($qtd_dias_mes * $hora_a_fazer_dia);

$html .= '</table>';


$html .= '<p>&nbsp;</p><div align="left">Horas totais trabalhadas no período: <b style="color:#2235f9;font-size:1.3rem;">' . AddPlayTime($horas_feitas_reais_array) . '</b><br>
Horas que deveriam ser trabalhadas no período: <b>' . AddPlayTime($horas_trabalhado_total) . '</b><br>
Horas trabalhadas normalmente no período (sem horas extras): <b>' . AddPlayTime($horas_trabalhado_total) . '</b><br>
Horas extras totais trabalhadas no período: <b>' . AddPlayTime($horas_extras_array) . '</b><br>
Horas faltas no período: <b>' . AddPlayTime($horas_faltas_array) . '</b><br>
Número de dias faltados no período: <b>' . $dias_faltados . '</b><br>
Assiduidade: <b>' . number_format($percentual_real, 2, '.', '') . '%</b><br></div>';


$data_atual = date('d/m/Y');
$hora_atual = date('H:i:s');


$mpdf = new mPDF('c', 'A4-P', 0, '', 30, 30, 10, 0, 0, 0, '');



$mpdf->SetDisplayMode('fullpage');

$css = file_get_contents("css/estilo2.css");

///$mpdf->SetHTMLHeader("<h2><p align='center' style='display:flex;align-items: center;'><center> <img src='img/cabecalho_pmr.png' width='1200' style='width:100%;'/></center></p></h2>");

//$mpdf->SetHTMLFooter("<h2><center><img src='img/rodape_pmr.png' style='width:100%;'/></center></h2>");

$mpdf->WriteHTML($css, 1);

$mpdf->WriteHTML($html);

$mpdf->Output();


exit;

//echo $html;
